Subject: [EDUC] La programmation entre au collège, dans les programmes de mathématiques
From: Yves Combe <[email-masked]>
To: [email-masked]
Date: Tue, 14 Apr 2015 19:43:27 +0200
List-Id: <educ.april.org>

Bonsoir,

Rapport indirect avec le libre mais je sais qu'il y a des gens sur la 
liste que ça intéresse. Les projets de nouveaux programmes sont parus 
hier, et la programmation fait son apparition au collège comme partie 
des programmes de mathématiques du cycle 4 (5e/4e/3e).

http://www.education.gouv.fr/cid87938/projets-de-programmes-pour-l-ecole-elementaire-et-le-college.html

On y trouve:
Notion de variable informatique
Séquences d'instructions, boucles, instructions conditionnelles
gestion d'événements déclenchés par le clavier, la souris, etc.
Déclenchement de plusieurs séries d'instructions en parallèle
[4e -3e ] Echange de messages entre objets, événements liés au 
déplacement d'un objet, clonage d'un objet

Et le commentaire précise:
«Enfin, l’introduction de l’algorithmique et de la programmation 
renouvelle l’enseignement du raisonnement, éclaire l’introduction du 
calcul algébrique et fournit un nouveau langage pour penser et 
communiquer. Son enseignement se traduit par la réalisation de 
productions collectives ou individuelles. L’environnement d’édition et 
d’exécution des programmes est choisi pour sa simplicité, sa fiabilité 
et sa robustesse dans la mise en œuvre. La maîtrise d’un langage de 
programmation n’est toutefois pas un objectif du programme.»

-- 
yves

--
Pour vous désinscrire de cette liste : https://listes.april.org/wws/sigrequest/educ

Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ